/* AppController */

#import <Cocoa/Cocoa.h>

@interface AppController : NSObject
{
    IBOutlet id OMEnu;
}
- (IBAction)Cron:(id)sender;
- (IBAction)EnableAllPOPAccounts:(id)sender;
- (IBAction)FindUnreadMails:(id)sender;
- (IBAction)GururiWeb:(id)sender;
- (IBAction)iChat:(id)sender;
- (IBAction)NewMail:(id)sender;
- (IBAction)OMEWeb:(id)sender;
- (IBAction)OpenAddressBook:(id)sender;
- (IBAction)OpenMailbox:(id)sender;
- (IBAction)OpenPreferencesFolder:(id)sender;
- (IBAction)ReceiveMail:(id)sender;
- (IBAction)ReceiverSelected:(id)sender;
- (IBAction)SenderSelected:(id)sender;
- (IBAction)SendMails:(id)sender;
- (IBAction)UpdateMenu:(id)sender;
- (IBAction)UserML:(id)sender;

- (void)Mailto:(NSString *)MailAddress;
- (void)OpenLocation:(NSString *)URLString;
- (void)SlowFindUnreadMails;
- (void)UpdateReceiveMenu;
- (void)UpdateSenderMenu;
- (void)doOMEScript:(NSArray *)options;
- (void)AutoReceive;
- (void)UpdateUnread;
- (void)loadLaunchAgent;
- (void)unloadLaunchAgent;

- (NSString *)OME_Root_Path:(NSString *)PathName;
- (NSString *)OME_Pref:(NSString *)FileName;
- (NSString *)OME_App_Path:(NSString *)FileName;
- (BOOL)HasBehaviorValue:(NSString *)Keyword;
- (NSString *)GetBehaviorValue:(NSString *)Keyword defaultvalue:(NSString *)defValue;
- (int)CountUnread;

	NSStatusItem *sbItem;//Menubar̃Xe[^XACR\p
	NSTimer *AutoReceiveTimer;//TimerŌJԂ_E[h
	NSTimer *UpdateMenuTimer;//TimerŃACRXV
	NSFileManager *nsfm;

@end
