-- RevealUnreadMails.applescript
-- CocoaOMEnu3
on run
	tell application "Finder"
		set OME_Root to (original item of alias file "OME_Root" of folder "OME_Preferences" of (path to preferences folder from user domain)) as alias
	end tell
	set ygm to do shell script "/usr/bin/mdfind -onlyin " & quoted form of POSIX path of OME_Root & " kMDItemContentType=jp.mac-ome.ome.ygm"
	if ygm = "" then return 0
	set ygm to every paragraph of ygm
	set ygmlist to {}
	repeat with i in ygm
		set end of ygmlist to POSIX file i
	end repeat
	tell application "Finder"
		activate
		reveal ygmlist
	end tell
	return count ygmlist
end run
