-- RevealUnreadMailsViaUnreadAliases.applescript
-- CocoaOMEnu3

on run
	set {theOriginals, d} to {{}, {}}
	tell application "Finder"
		set OME_Root to (folder "temp:unreadAliases:" of original item of alias file "OME_Root" of folder "OME_Preferences" of (path to preferences folder from user domain))
		set unreadAliases to every alias file of OME_Root
		repeat with i in unreadAliases
			try
				set end of theOriginals to (original item of contents of i)
			on error
				set end of d to name of contents of i
			end try
		end repeat
		if (d is not {}) then do shell script ("cd " & quoted form of (POSIX path of (OME_Root as Unicode text)) & " && rm -f " & my List2Str(d, " "))
		if (theOriginals is not {}) then
			activate
			reveal theOriginals
		end if
		return (count theOriginals)
	end tell
end run
on List2Str(theList, theDelimiter)
	set CurDelim to AppleScript's text item delimiters
	set AppleScript's text item delimiters to theDelimiter
	set theList to theList as Unicode text
	set AppleScript's text item delimiters to CurDelim
	return theList
end List2Str